OGGTHUMB(1)

NAME
oggThumb - creates thumbnails from an ogg video file

SYNOPSIS
oggThumb [options] file1.ogv [ file2.ogv [ file3.ogv [...] ] ]

DESCRIPTION
oggThumb creates Thumbnails from one or more ogg video files, at a given time position or a given frame number. It is also possible to create a series of thumbnails at different time or frame positions. The pictures can be created in JPG or PNG format and can be resized to any given size. The default naming of each thumbnail series follows the following rule: <filename_without_extension>_x.<picture_extension> Where x starts with 0 and is incremented with every created thumbnail. So the thumbnails are successivly numbered by the appearence order. This is even valid, if time positions and frame numbers are mixed.

OPTIONS

-t  Time at which a thumbnail should be created. More than one thumbnail time can be concatenated by komas. The times can be set by integer or floating point values in seconds. If the time is not exactly matching, the next frame is used. The times don't have to be sorted incrementally. Example: -t 12.4,14.157,13.23

-f  Number of a frame that should be created as a thumbnail. More than one thumbnail frame can be concatenated by komas. The frame numbers must be an integers. The frame numbers don't have to be sorted incrementally. Example: -f 12000,13000,11000

-s  Picture output size. The thumbnail is created in the size given as <width>x<height>. If you want to include the thumbnails into your webpage and you need to have a fixed width but dynamic height, you can set the dynamic axis to 0. So the aspect ratio of the video frame is kept. This is the same for setting width or height to 0. Example: -s 0x100

-o  Output format. This can be png or jpg. The default is jpg. Example: -o png

-n  Alternative thumbnail picture name. The % can be used within the name to indicate the counter placeholder. In case of more than one video file, the counter continuous throughout the different videos, so that the pictures are not overwritten. If the name has an extension. This extension is used to identify the output picture format. Example: -n myNo_%_thumb

EXAMPLE
oggThumb -t 10.3,22.4,31.9,43.4,59.4 -f 1200 -s 0x100 myFile.ogv oggThumb -f 200,400,300,100 -t 3.54 -n %_thumb.png myfile.ogv mysecondfile.ogv

AUTHOR
Joern Seger <yorn at gmx dot net>

SEE ALSO
oggCut(1), oggCat(1), oggJoin(1), oggSplit(1), oggTranscode(1), oggSlideshow(1), oggSilence(1)